<?php 
/**
 * Plugin Name: Awesome GDPR Compliant Cookie Consent and Notice
 * Description: Awesome Cookie Consent plugin is one of the simplest, most popular and compatible to EU cookie law GDPR regulations out there.
 * Author: TechAstha
 * Author URI: https://techastha.com
 * Version: 2.0
 * Requires at least: 4.0
 * Tested up to: 5.4.1
 * Requires PHP: 5.6
 * Text Domain: gcccn
 * Domain Path: /languages
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Defines the current version of the plugin.
define( 'GCCCN_VERSION', '1.2.2' );

// Defines the name of the plugin.
define( 'GCCCN_NAME', 'Awesome GDPR Compliant Cookie Consent and Notice' );

// Defines the path to the main plugin file.
define( 'GCCCN_FILE', __FILE__ );

define( 'GCCCN_PLUGIN_BASENAME', plugin_basename( GCCCN_FILE ) );

// Defines the path to be used for includes.
define( 'GCCCN_DIR_PATH', plugin_dir_path( GCCCN_FILE ) );

// Defines the path for plugin directory.
define( 'GCCCN_PLUGINS_DIR_PATH', plugin_dir_path( __DIR__ ) );

// Defines the URL to the plugin.
define( 'GCCCN_URL', plugin_dir_url( GCCCN_FILE ) );

// Defines the path to be used for css/js/images include .
define( 'GCCCN_ASSETS_URL', GCCCN_URL.'assets/' );
 /*echo plugin_dir_url(__DIR__);die();*/

/*if ( defined( 'POLYLANG_BASENAME' ) ||  defined( 'POLYLANG_PRO' ) ) {
	define( 'GCCCN_POLYLANG_PLUGIN_ACTIVE', true);
} else{
	define( 'GCCCN_POLYLANG_PLUGIN_ACTIVE', false);
}*/

/*if ( function_exists( 'pll_current_language' ) || function_exists('pll_languages_list') || function_exists( 'pll_default_language' )) {
	define( 'GCCCN_POLYLANG_PLUGIN_ACTIVE', true);
} else{
	define( 'GCCCN_POLYLANG_PLUGIN_ACTIVE', false);
}*/
/**
 * Include core plugin classes.
 */
require GCCCN_DIR_PATH . 'classes/class-gcccn.php';
$gcccn = new GCCCN();	
